function [ d1, d2, d3 ] = constructCN_maxMinus_Normalized_123( d1, d2, d3 )
%constructCN_maxMinus uses max(d2, d3, d4) - [d2 d3 d4]
% then do normalization

max_copub = max(d1);

% normalization
d1 = d1./max_copub;
d2(:,3) = d2(:,3) ./ max_copub;
d3(:,4) = d3(:,4) ./ max_copub;

% flip
d1 = 1.1 - d1;
d2(:,3) = 1.1 - d2(:,3);
d3(:,4) = 1.1 - d3(:,4);


end

